Package org.opensaml.saml.common.profile.logic

# Class RegistrationPolicyPredicate

java.lang.Object
org.opensaml.saml.common.profile.logic.AbstractRegistrationInfoPredicate
org.opensaml.saml.common.profile.logic.RegistrationPolicyPredicate

All Implemented Interfaces:
  `Predicate<EntityDescriptor>`

public class RegistrationPolicyPredicate extends AbstractRegistrationInfoPredicate
Predicate to determine whether one of a set of names matches an entity's `RegistrationPolicy`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Set<String>`
`policySet`
Policies to match on.

## Constructor Summary

Constructors
Constructor
Description
`RegistrationPolicyPredicate(Collection<String> policies)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`doApply(RegistrationInfo info)`
Override this method to implement the predicate.
`Set<String>`
`getPolicies()`
Get the policy criteria.

### Methods inherited from class org.opensaml.saml.common.profile.logic.AbstractRegistrationInfoPredicate

`getMatchIfMetadataSilent, getRegistrationInfo, setMatchIfMetadataSilent, test`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### policySet

@Nonnull private final Set<String> policySet
Policies to match on.

## Constructor Details

### RegistrationPolicyPredicate

public RegistrationPolicyPredicate(@Nullable @ParameterName(name="policies") Collection<String> policies)
Constructor.

Parameters:
  `policies` - the policies to test for

## Method Details

### getPolicies

@Nonnull @Unmodifiable @NotLive public Set<String> getPolicies()
Get the policy criteria.

Returns:
  the policy criteria

### doApply

protected boolean doApply(@Nonnull RegistrationInfo info)
Override this method to implement the predicate.

Specified by:
  `doApply` in class `AbstractRegistrationInfoPredicate`
Parameters:
  `info` - the information to evaluate
Returns:
  the result of the predicate